package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtovtaContaMDDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaContaMD;
import com.rjconsultores.ventaboletos.service.PtovtaContaMDService;

@Service("PtovtaContaMDService")
public class PtovtaContaMDServiceImpl implements PtovtaContaMDService {
	
	@Autowired
	private PtovtaContaMDDAO ptovtaContaMDDAO;

	@Override
	public List<PtovtaContaMD> obtenerTodos() {
		return ptovtaContaMDDAO.obtenerTodos();
	}

	@Override
	public PtovtaContaMD obtenerID(Long id) {
		return ptovtaContaMDDAO.obtenerID(id);
	}

	@Transactional
	@Override
	public PtovtaContaMD suscribir(PtovtaContaMD entidad) {
		return ptovtaContaMDDAO.suscribir(entidad);
	}

	@Transactional
	@Override
	public PtovtaContaMD actualizacion(PtovtaContaMD entidad) {
		return ptovtaContaMDDAO.actualizacion(entidad);
	}

	@Transactional
	@Override
	public void borrar(PtovtaContaMD entidad) {
		ptovtaContaMDDAO.borrar(entidad);
	}

	@Override
	public boolean contemItem(PtovtaContaMD ptovtaContaMD) {
		return ptovtaContaMDDAO.contemItem(ptovtaContaMD);
	}

}
